### Method

# Gegl Rectangle xor

#### Declaration [src]

    gint
    gegl_rectangle_xor (
      GeglRectangle* destination,
      const GeglRectangle* source1,
      const GeglRectangle* source2
    )

#### Description [src]

Computes the symmetric difference of the rectangles `source1` and `source2`, and stores the resulting rectangles in `destination`. Between 0 and 4 disjoint rectangles may be produced.

`destination` may contain `rectangle1` or `rectangle2`.

Returns the number of resulting rectangles.

#### Parameters

`source1`

  Type: `GeglRectangle`

  A `GeglRectangle`.

  The data is owned by the caller of the function.

`source2`

  Type: `GeglRectangle`

  A `GeglRectangle`.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

No description available.